directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Emmanuel Lecharny <elecha...@gmail.com>
Subject Re: [apacheds] protocol-ldap's POM lacks dependency on bcprov
Date Wed, 27 Oct 2010 13:48:31 GMT
> Hi,
>
> the protocol-ldap build in Gump has been failing for a while now.  The
> module depends on the Bouncastle JCE provider via
> ReplicationTrustManager but its POM doesn't say so (this could be fixed
> inside Gump but I don't want to 8-)
>
> I guess that under "normal circumstamces" bcprov is pulled in as a
> transitive dependency but to me it seems to be cleaner to explicitly
> state the dependency.

Hmmm... I don't get it : protocol-ldap has a parent pom where the bcprov 
version is explicitely declared :

...
<bcprov.version>140</bcprov.version>
...
<dependency>
<groupId>bouncycastle</groupId>
<artifactId>bcprov-jdk15</artifactId>
<version>${bcprov.version}</version>
</dependency>
...


What's wrong, exactly ?
> Cheers
>
>          Stefan
>


-- 
Regards,
Cordialement,
Emmanuel L├ęcharny
www.iktek.com


Mime
View raw message